#
# spec file for package pvm (Version 3.4.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  g77 readline readline-devel tcl tcl-devel tcsh tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel tcsh texinfo textutils timezone tk unzip util-linux vim

Name:         pvm
Copyright:    University of Tennessee, Oak Ridge National Laboratory, Emory University
Url:        http://www.epm.ornl.gov/pvm/
Group:		Development/Libraries/Parallel
Summary:      Parallel Virtual Machine
Version:      3.4.3
Release:      283
Source0: pvm%{version}.tgz
Source1: pvm-book.ps.gz
Source2: QRC.ps.gz
Patch:   pvm3.dif
Patch1:  fpic.patch
BuildRoot:	/tmp/pvm-%{version}-root	
Autoreqprov:  on

%description
PVM is a software system that enables a collection of heterogeneous
computers to be used as a coherent and flexible concurrent computational
resource.
The individual computers may be shared- or local-memory multiprocessors,
vector supercomputers, specialized graphics engines, or scalar
workstations, that may be interconnected by a variety of networks,
such as ethernet, FDDI.  User programs written in C, C++ or Fortran access
PVM through library routines.
After installation you find in /usr/share/doc/packages/pvm/ the documentation
as PostScript file pvm-book.ps.  Furthermore some examples are packed
together in two tar archives.  Those archives should be extracted into
your HOME directory which leads to ~/pvm3/examples/ or ~/pvm3/gexamples/
in your HOME directory.  The call `aimk all' (see manual page aimk(1))
e.g. in ~/pvm3/examples/ compiles the examples for the PVM system.
The PVM web home page is at http://www.epm.ornl.gov/pvm/pvm_home.html .

Authors:
--------
    J. J. Dongarra <pvm@msr.epm.ornl.gov>
    G. E. Fagg <pvm@msr.epm.ornl.gov>
    G. A. Geist <pvm@msr.epm.ornl.gov>
    J. A. Kohl <pvm@msr.epm.ornl.gov>
    R. J. Manchek <pvm@msr.epm.ornl.gov>
    P. Mucci <pvm@msr.epm.ornl.gov>
    P. M. Papadopoulos <pvm@msr.epm.ornl.gov>
    S. L. Scott <pvm@msr.epm.ornl.gov>
    V. S. Sunderam <pvm@msr.epm.ornl.gov>

SuSE series: beo

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share
cd $RPM_BUILD_ROOT/usr/share
tar -xzf %{SOURCE0}
chown -R root.root pvm3
cd pvm3
%patch0
%patch1

%build
ARCH=`$RPM_BUILD_ROOT/usr/share/pvm3/lib/pvmgetarch`
mkdir -p $RPM_BUILD_ROOT/usr/share/pvm3/src/$ARCH
cp $RPM_BUILD_ROOT/usr/share/pvm3/src/Makefile.aimk $RPM_BUILD_ROOT/usr/share/pvm3/src/$ARCH/Makefile
cd $RPM_BUILD_ROOT/usr/share/pvm3/src/$ARCH/ ; 
patch -s < ../patch4linux ; 
PVM_ROOT=$RPM_BUILD_ROOT/usr/share/pvm3 \
        PVM_DPATH=$RPM_BUILD_ROOT/usr/share/pvm3/lib/pvmd \
        make -C $RPM_BUILD_ROOT/usr/share/pvm3

%install
cp %{SOURCE1} .
cp %{SOURCE2} .
ARCH=`$RPM_BUILD_ROOT/usr/share/pvm3/lib/pvmgetarch`
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,3}
install -m 644 $RPM_BUILD_ROOT/usr/share/pvm3/man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 $RPM_BUILD_ROOT/usr/share/pvm3/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
( 
cd $RPM_BUILD_ROOT/usr/share/pvm3
install -c -m 0755 lib/wrapper  $RPM_BUILD_ROOT/usr/bin/pvm_gstat
install -c -m 0755 lib/wrapper  $RPM_BUILD_ROOT/usr/bin/pvmgroups
install -c -m 0755 lib/wrapper  $RPM_BUILD_ROOT/usr/bin/pvmgs
install -c -m 0755 lib/wrapper  $RPM_BUILD_ROOT/usr/bin/tracer
install -c -m 0755 lib/wrapper  $RPM_BUILD_ROOT/usr/bin/trcsort
mkdir -p $RPM_BUILD_ROOT/usr/share
mv $RPM_BUILD_ROOT/usr/share/pvm3/lib/aimk       $RPM_BUILD_ROOT/usr/bin
ln -sf ../../../bin/aimk       $RPM_BUILD_ROOT/usr/share/pvm3/lib/aimk
mv $RPM_BUILD_ROOT/usr/share/pvm3/lib/pvm        $RPM_BUILD_ROOT/usr/bin
ln -sf ../../../bin/pvm        $RPM_BUILD_ROOT/usr/share/pvm3/lib/pvm3
mv $RPM_BUILD_ROOT/usr/share/pvm3/lib/pvmd       $RPM_BUILD_ROOT/usr/bin
ln -sf ../../../bin/pvmd       $RPM_BUILD_ROOT/usr/share/pvm3/lib/pvmd
mv $RPM_BUILD_ROOT/usr/share/pvm3/lib/pvmgetarch $RPM_BUILD_ROOT/usr/bin
ln -sf ../../../bin/pvmgetarch $RPM_BUILD_ROOT/usr/share/pvm3/lib/pvmgetarch
mv $RPM_BUILD_ROOT/usr/share/pvm3/lib/$ARCH/*.{a,so} $RPM_BUILD_ROOT/usr/lib
cd $RPM_BUILD_ROOT/usr/lib; mv libpvm3.so libpvm3.so.3.4
ln -sf libpvm3.so.3.4 libpvm3.so.3
ln -sf libpvm3.so.3.4 libpvm3.so
ln -sf /usr/lib/libfpvm3.a   $RPM_BUILD_ROOT/usr/share/pvm3/lib/$ARCH/
ln -sf /usr/lib/libgpvm3.a   $RPM_BUILD_ROOT/usr/share/pvm3/lib/$ARCH/
ln -sf /usr/lib/libpvm3.a    $RPM_BUILD_ROOT/usr/share/pvm3/lib/$ARCH/
ln -sf /usr/lib/libpvm3.so   $RPM_BUILD_ROOT/usr/share/pvm3/lib/$ARCH/
ln -sf /usr/lib/libpvmtrc.a  $RPM_BUILD_ROOT/usr/share/pvm3/lib/$ARCH/
cd $RPM_BUILD_ROOT/usr/lib
ln -s ../share/pvm3
)
rm -rf $RPM_BUILD_ROOT/usr/share/pvm3/examples
rm -rf $RPM_BUILD_ROOT/usr/share/pvm3/gexamples
rm -rf $RPM_BUILD_ROOT/usr/share/pvm3/doc
# build the file list
find $RPM_BUILD_ROOT -type f -o -type l | \
        sed -e "s|$RPM_BUILD_ROOT||g" | \
        grep -v -i win32 | \
        grep -v "/pvm3/man" | \
        grep -v "%{_mandir}" | \
	grep -v "src" | \
	grep -v "xpvm" | \
	grep -v "conf" | \
        grep -v "\.o$" > files.list
find $RPM_BUILD_ROOT -type f -o -type l | \
        sed -e "s|$RPM_BUILD_ROOT||g" | \
        grep "conf/LINUX" >> files.list
find $RPM_BUILD_ROOT -type f -o -type l | \
        grep example | \
        sed -e "s|$RPM_BUILD_ROOT|%doc |g" >> files.list
find $RPM_BUILD_ROOT/usr/share/pvm3  -type d |  grep -v -i win32 | grep -v src | grep -v "/pvm3/man"  | sed -e "s|$RPM_BUILD_ROOT|%dir |g" >> files.list

%clean
rm -rf $RPM_BUILD_ROOT
rm -f files.list

%files -f files.list
%doc pvm-book.ps.gz QRC.ps.gz 
#%doc Readme*
%defattr(-,root,root)
%{_mandir}/*/*

%changelog -n pvm
* Thu Mar 15 2001 - nashif@suse.de
- added -fpic to LINUXIA64.def
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Jan 25 2001 - sf@suse.de
- some changes to make it work on IA64
- applied IA64/Linux to the manpages
- changed va_arg(blah,char), to make it compile on IA64
- added necessary configuration files to conf/
- changed pvmgetarch
* Mon Dec 04 2000 - nashif@suse.de
- Removed g77 from Requires
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Tue Nov 07 2000 - nashif@suse.de
- Use BuildRoot
- Added Group tag
- Various fixes
* Sun Apr 09 2000 - bk@suse.de
- added support for linux-390
* Wed Mar 15 2000 - nashif@suse.de
- Update to pvm 3.4.3
* Mon Jan 31 2000 - kukuk@suse.de
- Fix again LINUXSPARC.def
* Mon Jan 31 2000 - nashif@suse.de
- fix Makefile.Linux
- changed %%files in spec
* Mon Jan 31 2000 - nashif@suse.de
- fix LINUXPPC.defs
- moved man pages to /usr/share/man
- modified Makefile.Linux
* Wed Jan 05 2000 - kukuk@suse.de
- fix LINUXSPARC.defs
* Fri Oct 15 1999 - ro@suse.de
- fixed LINUXALPHA.defs
* Mon Sep 27 1999 - nashif@suse.de
- Upgrade to PVM 3.4.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 09 1999 - werner@suse.de
- enable OVERLOADHOST for some SMP Linux architectures
* Fri Mar 19 1999 - werner@suse.de
- Crtl-D should quit pvm not SIGSEGV
* Fri Mar 19 1999 - werner@suse.de
- Upgrade to final release 3.4.0
- Enable all(?) Linux architectures
- Add BEO patch
* Thu Jun 04 1998 - werner@suse.de
- New packet: PVM (Parallel Virtual Machine) 3.4.beta6
